Support Questions
Find answers, ask questions, and share your expertise

Can you install Hue 3.7.1 onto HDP 2.4.0?

New Contributor

Hi!

So the past few days have bee a little bit troubling for me and my team. We successfully installed Hortonworks Sandbox HDP 2.4 on the VirtualBox. Everything is working correctly, we managed to import tables from a SQL server to Hadoop and the results were being displayed on both Ambari and in the machine.

All was well until we tried getting Hue working on the system. We created an IP address and port number to access it. It worked too we were getting an interface similar to Ambari and it was saving queries in Hive. However, when we went to transform the data in Oozie with a workflow, we got an error saying that the Web HDFS could not create workflow for oozie.

At first we thought that we should upgrade the newest version of Hue to HDP 2.4.0 but we did some research and the Hortonworks Community was saying that you should stick with the version of Hue that came with sandbox. Then we saw that people were running Hue 3.7.1 on HDP 2.2.0. It seemed odd that the newest version of HDP (2.4.0) is not compatible with 3.7.1. Maybe it is, which leads to the question:

Is it possible to install Hue 3.7.1 or newer on HDP 2.4.0 and be able to access all the features on Hue like adding tables, databases, and creating workflows???

If so, HOW????

1 ACCEPTED SOLUTION

@Tim Dobeck

Yes, you can give a try but it's hard to predict upcoming compatibility issues and HDP is also not recommending to do that.

Once I installed Hue3.7 in HDP2.2 and didn't see any issues with hive but didn't preform any testing with Oozie

View solution in original post

4 REPLIES 4

@Tim Dobeck

Yes, you can give a try but it's hard to predict upcoming compatibility issues and HDP is also not recommending to do that.

Once I installed Hue3.7 in HDP2.2 and didn't see any issues with hive but didn't preform any testing with Oozie

New Contributor

Thank you so much! Were you able to make charts in Hue with Hive?

Unfortunately, I didn't test the Charts functionality and installed to test Hive Concurrency issue.

Expert Contributor
@Tim Dobeck

You can look at this http://gethue.com/hue-3-7-with-sentry-app-and-new-search-widgets-are-out/ which has the information of how to perform the install along with the tarball of 3.7

; ;